Bug 1874436 - Query Browser: Table results don't update correctly when changing namespace
Summary: Query Browser: Table results don't update correctly when changing namespace
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Andrew Pickering
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-01 11:06 UTC by Andrew Pickering
Modified: 2020-09-03 03:07 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6484 None closed Bug 1874436: Query Browser: Clear all series when the namespace changes 2020-09-07 09:34:55 UTC

Description Andrew Pickering 2020-09-01 11:06:43 UTC
Results from the previous namespace sometimes persist alongside the new namespace results.

The next request (e.g. the next poll) fixes the results.

Steps to reproduce:
1. Go to Developer perspective
2. Go to Monitoring page, then to the Metrics tab
3. Run a query (any query with multiple results in the table will do)
4. Select a different namespace from the namespace dropdown. The results in the table should update to show the results for the new namespace, but this bug caused the results from the old namespace and the new namespace to both be shown for several seconds.

Comment 4 hongyan li 2020-09-02 02:08:42 UTC
check payload 4.6.0-0.nightly-2020-09-01-070508, the issue still exist

check query count(container_memory_cache)by(namespace)
keep changing project from openshift-authentication-operator to openshift-authentication
reproduced the issue

Comment 5 hongyan li 2020-09-03 03:07:38 UTC
the issue is fixed in payload 4.6.0-0.nightly-2020-09-02-165033


Note You need to log in before you can comment on or make changes to this bug.